Subject: bug#67538: Shepherd stops responding during "guix system reconfigure"

From: Michal Atlas <[email-masked]>
Date: Wed, 29 Nov 2023 22:56:50 +0000

I've been experiencing this occasionally ever since I started using guix. It happens on all of my machines and across different setups.

I don't use syncthing so it's probably not that.

The set of services I have has changed so much I'd have trouble identifying a singular service that was in all of the instances of this occurring save for those in %desktop-services.

iirc I once managed to get a debugger out when it happened and it's stuck waiting in one of the epoll/select/alike calls, sadly don't remember exactly which one. Will investigate next time it happens.

The only remedy I know is indeed SysRq.

So that's at least 4 people now